## fargo 1.post7+g526139a

=== requirements.txt ===
django>=1.7,<1.9
django-tables2<1.1
djangorestframework>=3.3,<3.10
file-magic

=== debian/changelog ===
fargo (1.post7+g526139a-1~eob130+1) trixie-eobuilder; urgency=low

  * (526139) ci: also build package for trixie (#111016)
  * (34a9c2) ci: add check-manifest to noxfile (#97807)
  * (f89506) ci: add tests for django 4.2 (#95312)
  * (fd7979) ci: migrate to nox (#93755)
  * (139ab2) build: pin sorl.thumbnail (#95741)
  * (d28528) ci: stop building for bullseye (#92879)
  * (e410c9) setup: use setuptools instead of distutils (#92879)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:19:38 +0200

fargo (1) trixie-eobuilder; urgency=low

  * (6196db) ci: add ruff to pre-commit hooks (#86371)
  * (d51bf7) ci: ignore reformatting commit (#86371)
  * (65add7) apply pre-commit (#86371)
  * (36b455) fix warning about python-magic legacy API (#86371)
  * (97119c) fix warning about table model (#86371)
  * (61c10e) ci: update tox.ini + py311 compatibility (#86371)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 02 Feb 2024 19:50:06 +0100

fargo (0.66) trixie-eobuilder; urgency=low

  * (ee6959) debian: allow django-filter 23.1 (#85531)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 11 Jan 2024 11:20:34 +0100

fargo (0.65) trixie-eobuilder; urgency=low

  * (5ccf14) setup: allow django-filter 23.1 (#82024)
  * (1e5287) debian: add back memory-report to uwsgi default configuration (#80451)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 18 Dec 2023 11:11:41 +0100

fargo (0.64) trixie-eobuilder; urgency=low

  * (bee198) debian: add uwsgi/fargo SyslogIdentifier in service (#82977)
  * (24ca7b) ci: keep on using pylint 2 while pylint-django is not ready (#81905)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 31 Oct 2023 13:19:41 +0100

fargo (0.63) trixie-eobuilder; urgency=low

  * (29cf27) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (cf6081) misc: apply double-quote-string-fixer (#79788)
  * (01afbb) misc: add pre commit hook to force single quotes (#79788)
  * (a5ab3a) debian: remove memory-report from uwsgi default configuration (#79890)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 16 Aug 2023 10:31:32 +0200

fargo (0.62) trixie-eobuilder; urgency=low

  * (69618c) translation update (french orthography rectifications of 1990)
  * (90e1c4) ci: build deb package for bookworm (#78968)
  * (1f55bf) debian: apply new pre-commit-debian (#77727)
  * (b4e79e) ci: upgrade pre-commit-debian (#77727)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 25 Jun 2023 15:56:33 +0200

fargo (0.61) trixie-eobuilder; urgency=low

  * (83f3ab) Prepare Jenkinsfile for Gitea migration (#74572)
  * (abbf71) remove Debian 10 (buster) build (#73932)
  * (d721b2) ci: upgrade isort (#74044)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 20 Feb 2023 15:05:13 +0100

fargo (0.60) trixie-eobuilder; urgency=low

  * (8dea3e) misc: limit filename length (#72567)
  * (6216d0) ci: update pyupgrade to 3.1.0 (#70693)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 19 Dec 2022 06:39:50 +0100

fargo (0.59) trixie-eobuilder; urgency=low

  * (fa8fe1) uwsgi: new configuration (#67585)
  * (21a1d5) tox: base environments on debian versions (#69474)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Oct 2022 10:06:28 +0200

fargo (0.58) trixie-eobuilder; urgency=low

  * (9f5008) debian: bump python3-django required version (#68784)
  * (aada24) templates: load static module instead of deprecated staticfiles
    (#68784)
  * (658f02) misc: allow django 3.2 and django-tables2 2.4 (#68784)
  * (fd0993) tox: add environment like bullseye+backports (#68784)
  * (07241b) trivial: use urllib.parse (#68784)
  * (bc719b) trivial: remove python_2_unicode_compatible (#68784)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 09 Sep 2022 08:29:45 +0200

fargo (0.57) trixie-eobuilder; urgency=low

  * (1ea429) general: remove unused document types & validation code (#14148)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 12 Aug 2022 09:18:29 +0200

fargo (0.56) trixie-eobuilder; urgency=low

  * (2a119e) settings: add back rest_framework (#68096)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Aug 2022 13:03:44 +0200

fargo (0.55) trixie-eobuilder; urgency=low

  * (6b2d57) debian: make cron quiet (#67897)
  * (c1c263) debian: remove obsolete standard error output config from systemd unit
    (#65101)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Aug 2022 10:01:07 +0200

fargo (0.54) trixie-eobuilder; urgency=low

  * (c4a28c) general: remove fargo.oauth2 (#67570)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 21 Jul 2022 13:57:08 +0200

fargo (0.53) trixie-eobuilder; urgency=low

  * (61680f) debian: apply wrap-and-sort
  * (d11772) misc: use pre-commit-debian (#66191)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Jun 2022 19:58:38 +0200

fargo (0.52) trixie-eobuilder; urgency=low

  * (b17cce) general: switch to django postgresql json field (#65265)
  * (b85d82) general: ensure json columns are of jsonb type (#65265)
  * (eaab3f) misc: use python-magic instead of file-magic (#64837)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 15 May 2022 17:47:44 +0200

fargo (0.51) trixie-eobuilder; urgency=low

  * (666265) misc: check URL given as return after picking a file (#63460)
  * (36cb24) trivial: bump black version to 22.3.0

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 01 Apr 2022 16:23:21 +0200

fargo (0.50) trixie-eobuilder; urgency=low

  * (f965e5) misc: update is_authenticated for django 2.2, no more callable (#63031)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 22 Mar 2022 10:18:54 +0100

fargo (0.49) trixie-eobuilder; urgency=low

  * (3895b9) tox: add django-tables2 debian old- & stable versions coexistence
    (#62541)
  * (ffac45) tox: discard deprecated sqlite env configuration (#62541)
  * (61196a) setup: let django-tables2 match bullseye's version (#62541)
  * (9832e7) trivial: bump black version to 22.1.0 (#62312)
  * (3b1c9c) settings: close local settings file (#61977)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 10 Mar 2022 10:36:33 +0100



=== debian/control ===
Source: fargo
Maintainer: Entr'ouvert <info@entrouvert.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools,
Standards-Version: 3.9.6

Package: python3-fargo
Architecture: all
Depends: graphicsmagick-imagemagick-compat,
         python3-django (>= 2:2.2),
         python3-django-filters (<< 23.2),
         python3-django-filters (>= 1),
         python3-django-tables2,
         python3-gadjo,
         python3-magic,
         python3-sorl-thumbnail,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-django-mellon,
Breaks: fargo (<<0.32.post5),
Description: Fargo Document Box (Python 3 module)

Package: fargo
Architecture: all
Depends: python3-django-mellon,
         python3-django-tenant-schemas,
         python3-fargo (= ${binary:Version}),
         python3-hobo,
         python3-psycopg2,
         python3-uwsgidecorators,
         uwsgi,
         uwsgi-plugin-python3,
         ${misc:Depends},
Recommends: graphicsmagick,
            nginx,
Suggests: postgresql,
Breaks: python-fargo (<<0.32.post5),
Replaces: python-fargo (<<0.32.post5),
Description: Fargo Document Box

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=fargo

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-fargo/usr/bin/manage.py $(CURDIR)/debian/fargo/usr/lib/fargo/manage.py

## fargo 2

=== debian/changelog ===
fargo (2-1~eob130+1) trixie-eobuilder; urgency=low

  * (526139) ci: also build package for trixie (#111016)
  * (34a9c2) ci: add check-manifest to noxfile (#97807)
  * (f89506) ci: add tests for django 4.2 (#95312)
  * (fd7979) ci: migrate to nox (#93755)
  * (139ab2) build: pin sorl.thumbnail (#95741)
  * (d28528) ci: stop building for bullseye (#92879)
  * (e410c9) setup: use setuptools instead of distutils (#92879)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:19:38 +0200

## fargo thorin

=== src_reb/Makefile ===
include Makefile.defs

OPT+= -fPIC -DLIBREBOUND

SOURCES=rebound.c tree.c particle.c gravity.c integrator.c integrator_whfast.c integrator_whfasthelio.c integrator_ias15.c integrator_sei.c integrator_leapfrog.c integrator_hermes.c boundary.c input.c output.c collision.c communication_mpi.c display.c tools.c derivatives.c simulationarchive.c glad.c 
OBJECTS=$(SOURCES:.c=.o)
HEADERS=$(SOURCES:.c=.h)

all: $(SOURCES) librebound.so 

%.o: %.c $(HEADERS)
	@echo "Compiling source file $< ..."
	$(CC) -c $(OPT) $(PREDEF) -o $@ $<

librebound.so: $(OBJECTS)
	@echo ""        
	@echo "Linking share library $@ ..."
	$(CC) $(OPT) -shared $(OBJECTS) $(LIB) -o $@ 
	
	@echo ""        
	@echo "The shared library $< has been created successfully."
	
	
clean:
	@echo "Removing object files *.o ..."
	@-rm -f *.o
	@echo "Removing shared library librebound.so ..."
	@-rm -f *.so
	@echo "Removing coverage files ..."
	@-rm -f *.gcda
	@-rm -f *.gcno
